
# CUSTOMIZATION-BEGIN
# ovirt_build_extra_flags
# ovirt_build_ut
%if 0%{?ovirt_build_quick}
%global _ovirt_build_ut 0
%global ovirt_build_gwt 0
%global ovirt_build_locales 0
%global __jar_repack 0
%endif
%if 0%{?ovirt_build_minimal}
%global _ovirt_build_ut 0
%global ovirt_build_locales 0
%global _ovirt_build_extra_flags -D gwt.userAgent=gecko1_8
%endif
%if 0%{!?ovirt_build_ut:1}
%if 0%{?_ovirt_build_ut:1}
%global ovirt_build_ut %{_ovirt_build_ut}
%else
%global ovirt_build_ut 1
%endif
%endif
%if 0%{!?ovirt_build_gwt:1}
%global ovirt_build_gwt 1
%endif
%if 0%{!?ovirt_build_locales:1}
%global ovirt_build_locales 1
%endif
# CUSTOMIZATION-END

# unsign all provided jars
# see rhbz#1019637
%global _jarsign_opts --unsign=/usr/share/ovirt-engine

# rpm does not support override
# nor modify of variables
%if %{?_ovirt_build_extra_flags:1}%{?ovirt_build_extra_flags:1}0
%global EXTRA_BUILD_FLAGS %{?_ovirt_build_extra_flags:%{_ovirt_build_extra_flags}}%{?ovirt_build_extra_flags: %{ovirt_build_extra_flags}}
%endif

%if 0%{?fedora}
%global ovirt_install_systemd 1
%global ovirt_install_systemv 0
%global ovirt_install_poms 1
%global ovirt_require_maven 1
%endif

%if 0%{?rhel}
%global ovirt_install_systemd 0
%global ovirt_install_systemv 1
%global ovirt_install_poms 0
%global ovirt_require_maven 0
%endif

%if "%{dist}" == ".el6rhs"
%define _rhs_build 1
%endif

%define _rhs_build 1

%if !0%{?_rhs_build}
%global ovirt_product_name Red Hat Enterprise Virtualization Manager
%global ovirt_product_name_short RHEV-M
%global ovirt_product_group Virtualization/Management
%else
%global ovirt_product_name Red Hat Storage Console
%global ovirt_product_name_short RHS-C
%global ovirt_product_group Storage/Management
%endif
%global ovirt_user_description oVirt Manager

%global engine_cache %{_localstatedir}/cache/%{engine_name}
%global engine_data %{_datadir}/%{engine_name}
%global engine_doc %{_docdir}/%{engine_name}
%global engine_ear %{engine_data}/engine.ear
%global engine_etc %{_sysconfdir}/%{engine_name}
%global engine_java %{_javadir}/%{engine_name}
%global engine_jboss_modules %{engine_data}/modules
%global engine_log %{_localstatedir}/log/%{engine_name}
%global engine_name ovirt-engine
%global engine_pki %{_sysconfdir}/pki/%{engine_name}
%global engine_restapi_war %{engine_ear}/restapi.war
%global engine_legacy_restapi_war %{engine_ear}/legacy_restapi.war
%global engine_run %{_localstatedir}/run/%{engine_name}
%global engine_state %{_localstatedir}/lib/%{engine_name}
%global engine_tmp %{_localstatedir}/tmp/%{engine_name}

%global engine_gid 108
%global engine_group ovirt
%global engine_uid 108
%global engine_user ovirt
%if !0%{?_rhs_build}
%global vdsm_description Node Virtualization Manager
%else
%global vdsm_description Node Storage Manager
%endif
%global vdsm_gid 36
%global vdsm_group kvm
%global vdsm_uid 36
%global vdsm_user vdsm

%global openstack_java_version 3.0.2
%global rhevm_dependencies_slot 3.4

# Macro to create an user:
# %1 user name
# %2 user id
# %3 primary group name
# %4 primary group id
# %5 description
# %6 home directory
%global _ovirt_create_user() \
getent group %3 >/dev/null || groupadd -r -g %4 %3; \
getent passwd %1 >/dev/null || useradd -r -u %2 -g %3 -c %5 -s /sbin/nologin -d %6 %1

%global ovirt_create_user_engine \
%_ovirt_create_user %{engine_user} %{engine_uid} %{engine_group} %{engine_gid} "%{ovirt_user_description}" %{engine_state}

%global ovirt_create_user_vdsm \
%_ovirt_create_user %{vdsm_user} %{vdsm_uid} %{vdsm_group} %{vdsm_gid} "%{vdsm_description}" /var/lib/vdsm

%global make_common_opts \\\
	-j1 \\\
	BUILD_GWT=%{ovirt_build_gwt} \\\
	BUILD_LOCALES=%{ovirt_build_locales} \\\
	BUILD_UT=%{ovirt_build_ut} \\\
	BUILD_VALIDATION=0 \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	DISPLAY_VERSION=%{version}-%{release} \\\
	ENGINE_NAME=%{engine_name} \\\
	LOCALSTATE_DIR=%{_localstatedir} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	BIN_DIR=%{_bindir} \\\
	PID_DIR=%{_localstatedir}/run \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	DOC_DIR=%{_docdir} \\\
	PYTHON=%{__python} \\\
	PYTHON_DIR=%{python_sitelib} \\\
	JAVA_DIR=%{_javadir} \\\
	MAVENPOM_DIR=%{_mavenpomdir} \\\
	PKG_SYSCONF_DIR=%{engine_etc} \\\
	PKG_DOC_DIR=%{engine_doc} \\\
	PKG_EAR_DIR=%{engine_ear} \\\
	PKG_PKI_DIR=%{engine_pki} \\\
	PKG_JBOSS_MODULES=%{engine_jboss_modules} \\\
	PKG_CACHE_DIR=%{engine_cache} \\\
	PKG_LOG_DIR=%{engine_log} \\\
	PKG_TMP_DIR=%{engine_tmp} \\\
	PKG_STATE_DIR=%{engine_state} \\\
	PKG_USER=%{engine_user} \\\
	PKG_GROUP=%{engine_group} \\\
	MVN=true \\\
	JBOSS_HOME=/usr/share/jbossas \\\
	MAVEN_OUTPUT_DIR=%{_sourcedir} \\\
	%{?EXTRA_BUILD_FLAGS:EXTRA_BUILD_FLAGS="%{EXTRA_BUILD_FLAGS}"}

%if !0%{?_rhs_build}
Name:		rhevm
%else
Name:		rhsc
%endif
Version:	3.0.3
Release:	1.21%{?dist}
%if !0%{?_rhs_build}
Summary:	Management server for Open Virtualization
%else
Summary:	Management server for Storage
%endif
Group:		%{ovirt_product_group}
License:	ASL 2.0
%if !0%{?_rhs_build}
URL:		http://www.redhat.com/products/virtualization
%else
URL:		http://www.redhat.com/products/storage
%endif

# Acquire brew/mead pre-built resources.
Source0: root-3.0.0-scm-sources.zip
Source1: maven-metadata.xml.sha1
Source2: maven-metadata.xml
Source3: maven-metadata.xml.md5
Source4: maven-metadata.xml.sha1
Source5: maven-metadata.xml
Source6: maven-metadata.xml.md5
Source7: restapi-types-3.0.0.jar.md5
Source8: restapi-types-3.0.0.jar
Source9: restapi-types-3.0.0.pom
Source10: restapi-types-3.0.0-tests.jar
Source11: restapi-types-3.0.0.pom.sha1
Source12: restapi-types-3.0.0.pom.md5
Source13: restapi-types-3.0.0-tests.jar.sha1
Source14: restapi-types-3.0.0-tests.jar.md5
Source15: restapi-types-3.0.0.jar.sha1
Source16: maven-metadata.xml.sha1
Source17: maven-metadata.xml
Source18: maven-metadata.xml.md5
Source19: restapi-parent-3.0.0.pom.md5
Source20: restapi-parent-3.0.0.pom.sha1
Source21: restapi-parent-3.0.0.pom
Source22: maven-metadata.xml.sha1
Source23: maven-metadata.xml
Source24: maven-metadata.xml.md5
Source25: restapi-definition-3.0.0.jar.sha1
Source26: restapi-definition-3.0.0-tests.jar.sha1
Source27: restapi-definition-3.0.0-tests.jar.md5
Source28: restapi-definition-3.0.0.jar.md5
Source29: restapi-definition-3.0.0-tests.jar
Source30: restapi-definition-3.0.0.jar
Source31: restapi-definition-3.0.0.pom
Source32: restapi-definition-3.0.0.pom.sha1
Source33: restapi-definition-3.0.0.pom.md5
Source34: maven-metadata.xml.sha1
Source35: maven-metadata.xml
Source36: maven-metadata.xml.md5
Source37: common-parent-3.0.0.pom.md5
Source38: common-parent-3.0.0.pom
Source39: common-parent-3.0.0.pom.sha1
Source40: maven-metadata.xml.sha1
Source41: maven-metadata.xml
Source42: maven-metadata.xml.md5
Source43: interface-common-jaxrs-3.0.0-tests.jar.sha1
Source44: interface-common-jaxrs-3.0.0.pom.sha1
Source45: interface-common-jaxrs-3.0.0.jar.md5
Source46: interface-common-jaxrs-3.0.0.jar.sha1
Source47: interface-common-jaxrs-3.0.0-tests.jar
Source48: interface-common-jaxrs-3.0.0.jar
Source49: interface-common-jaxrs-3.0.0.pom.md5
Source50: interface-common-jaxrs-3.0.0.pom
Source51: interface-common-jaxrs-3.0.0-tests.jar.md5
Source52: maven-metadata.xml.sha1
Source53: maven-metadata.xml
Source54: maven-metadata.xml.md5
Source55: restapi-webapp-3.0.0.war.md5
Source56: restapi-webapp-3.0.0.war.sha1
Source57: restapi-webapp-3.0.0.war
Source58: restapi-webapp-3.0.0.pom
Source59: restapi-webapp-3.0.0.pom.sha1
Source60: restapi-webapp-3.0.0.pom.md5
Source61: maven-metadata.xml.sha1
Source62: maven-metadata.xml
Source63: maven-metadata.xml.md5
Source64: restapi-jaxrs-3.0.0.pom
Source65: restapi-jaxrs-3.0.0-tests.jar.md5
Source66: restapi-jaxrs-3.0.0.jar
Source67: restapi-jaxrs-3.0.0-tests.jar.sha1
Source68: restapi-jaxrs-3.0.0-tests.jar
Source69: restapi-jaxrs-3.0.0.pom.md5
Source70: restapi-jaxrs-3.0.0.jar.sha1
Source71: restapi-jaxrs-3.0.0.pom.sha1
Source72: restapi-jaxrs-3.0.0.jar.md5
Source73: maven-metadata.xml.sha1
Source74: maven-metadata.xml
Source75: maven-metadata.xml.md5
Source76: interface-3.0.0.pom
Source77: interface-3.0.0.pom.sha1
Source78: interface-3.0.0.pom.md5
Source79: maven-metadata.xml.sha1
Source80: maven-metadata.xml
Source81: maven-metadata.xml.md5
Source82: backend-3.0.0.pom.md5
Source83: backend-3.0.0.pom
Source84: backend-3.0.0.pom.sha1
Source85: maven-metadata.xml.sha1
Source86: maven-metadata.xml
Source87: maven-metadata.xml.md5
Source88: welcome-3.0.0.war.md5
Source89: welcome-3.0.0.war
Source90: welcome-3.0.0.pom.md5
Source91: welcome-3.0.0.war.sha1
Source92: welcome-3.0.0.pom
Source93: welcome-3.0.0.pom.sha1
Source94: maven-metadata.xml.sha1
Source95: maven-metadata.xml
Source96: maven-metadata.xml.md5
Source97: manager-3.0.0.pom.sha1
Source98: manager-3.0.0.pom.md5
Source99: manager-3.0.0.pom
Source100: maven-metadata.xml.sha1
Source101: maven-metadata.xml
Source102: maven-metadata.xml.md5
Source103: docs-3.0.0.war.sha1
Source104: docs-3.0.0.pom.sha1
Source105: docs-3.0.0.pom
Source106: docs-3.0.0.war.md5
Source107: docs-3.0.0.pom.md5
Source108: docs-3.0.0.war
Source109: maven-metadata.xml.sha1
Source110: maven-metadata.xml
Source111: maven-metadata.xml.md5
Source112: scheduler-3.0.0.jar.sha1
Source113: scheduler-3.0.0.jar.md5
Source114: scheduler-3.0.0.pom.md5
Source115: scheduler-3.0.0.pom.sha1
Source116: scheduler-3.0.0.pom
Source117: scheduler-3.0.0.jar
Source118: scheduler-3.0.0-client.jar.sha1
Source119: scheduler-3.0.0-client.jar.md5
Source120: scheduler-3.0.0-client.jar
Source121: maven-metadata.xml.sha1
Source122: maven-metadata.xml
Source123: maven-metadata.xml.md5
Source124: dal-3.0.0.jar
Source125: dal-3.0.0-tests.jar.md5
Source126: dal-3.0.0.jar.sha1
Source127: dal-3.0.0.pom.md5
Source128: dal-3.0.0-tests.jar
Source129: dal-3.0.0-modules.zip
Source130: dal-3.0.0-modules.zip.md5
Source131: dal-3.0.0.pom
Source132: dal-3.0.0.pom.sha1
Source133: dal-3.0.0-modules.zip.sha1
Source134: dal-3.0.0-tests.jar.sha1
Source135: dal-3.0.0.jar.md5
Source136: maven-metadata.xml.sha1
Source137: maven-metadata.xml
Source138: maven-metadata.xml.md5
Source139: manager-modules-3.0.0.pom
Source140: manager-modules-3.0.0.pom.sha1
Source141: manager-modules-3.0.0.pom.md5
Source142: maven-metadata.xml.sha1
Source143: maven-metadata.xml
Source144: maven-metadata.xml.md5
Source145: vdsbroker-3.0.0.pom
Source146: vdsbroker-3.0.0.jar.md5
Source147: vdsbroker-3.0.0-tests.jar
Source148: vdsbroker-3.0.0-tests.jar.sha1
Source149: vdsbroker-3.0.0.pom.md5
Source150: vdsbroker-3.0.0.jar
Source151: vdsbroker-3.0.0.jar.sha1
Source152: vdsbroker-3.0.0-tests.jar.md5
Source153: vdsbroker-3.0.0.pom.sha1
Source154: maven-metadata.xml.sha1
Source155: maven-metadata.xml
Source156: maven-metadata.xml.md5
Source157: branding-3.0.0.pom.md5
Source158: branding-3.0.0.jar
Source159: branding-3.0.0.pom.sha1
Source160: branding-3.0.0.jar.md5
Source161: branding-3.0.0-tests.jar
Source162: branding-3.0.0.jar.sha1
Source163: branding-3.0.0.pom
Source164: branding-3.0.0-tests.jar.md5
Source165: branding-3.0.0-tests.jar.sha1
Source166: maven-metadata.xml.sha1
Source167: maven-metadata.xml
Source168: maven-metadata.xml.md5
Source169: services-3.0.0.pom.md5
Source170: services-3.0.0.pom.sha1
Source171: services-3.0.0.war
Source172: services-3.0.0.war.md5
Source173: services-3.0.0.pom
Source174: services-3.0.0.war.sha1
Source175: maven-metadata.xml.sha1
Source176: maven-metadata.xml
Source177: maven-metadata.xml.md5
Source178: searchbackend-3.0.0.jar.sha1
Source179: searchbackend-3.0.0.pom.md5
Source180: searchbackend-3.0.0.pom
Source181: searchbackend-3.0.0.jar
Source182: searchbackend-3.0.0-modules.zip.sha1
Source183: searchbackend-3.0.0-sources.jar.sha1
Source184: searchbackend-3.0.0-tests.jar.md5
Source185: searchbackend-3.0.0-modules.zip.md5
Source186: searchbackend-3.0.0.jar.md5
Source187: searchbackend-3.0.0-sources.jar.md5
Source188: searchbackend-3.0.0-tests.jar
Source189: searchbackend-3.0.0-tests.jar.sha1
Source190: searchbackend-3.0.0-modules.zip
Source191: searchbackend-3.0.0-sources.jar
Source192: searchbackend-3.0.0.pom.sha1
Source193: maven-metadata.xml.sha1
Source194: maven-metadata.xml
Source195: maven-metadata.xml.md5
Source196: dependencies-3.0.0.jar
Source197: dependencies-3.0.0-modules.zip
Source198: dependencies-3.0.0.pom
Source199: dependencies-3.0.0-modules.zip.sha1
Source200: dependencies-3.0.0-tests.jar.sha1
Source201: dependencies-3.0.0.pom.sha1
Source202: dependencies-3.0.0-modules.zip.md5
Source203: dependencies-3.0.0-tests.jar
Source204: dependencies-3.0.0-tests.jar.md5
Source205: dependencies-3.0.0.jar.sha1
Source206: dependencies-3.0.0.jar.md5
Source207: dependencies-3.0.0.pom.md5
Source208: maven-metadata.xml.sha1
Source209: maven-metadata.xml
Source210: maven-metadata.xml.md5
Source211: authentication-3.0.0-tests.jar
Source212: authentication-3.0.0-tests.jar.sha1
Source213: authentication-3.0.0.jar
Source214: authentication-3.0.0.pom
Source215: authentication-3.0.0.jar.md5
Source216: authentication-3.0.0.pom.md5
Source217: authentication-3.0.0.pom.sha1
Source218: authentication-3.0.0-modules.zip
Source219: authentication-3.0.0-modules.zip.sha1
Source220: authentication-3.0.0.jar.sha1
Source221: authentication-3.0.0-tests.jar.md5
Source222: authentication-3.0.0-modules.zip.md5
Source223: maven-metadata.xml.sha1
Source224: maven-metadata.xml
Source225: maven-metadata.xml.md5
Source226: bll-3.0.0-client.jar.sha1
Source227: bll-3.0.0.pom.md5
Source228: bll-3.0.0-client.jar
Source229: bll-3.0.0.jar.sha1
Source230: bll-3.0.0-client.jar.md5
Source231: bll-3.0.0.pom.sha1
Source232: bll-3.0.0.pom
Source233: bll-3.0.0.jar.md5
Source234: bll-3.0.0.jar
Source235: maven-metadata.xml.sha1
Source236: maven-metadata.xml
Source237: maven-metadata.xml.md5
Source238: common-3.0.0-modules.zip.sha1
Source239: common-3.0.0-tests.jar
Source240: common-3.0.0-tests.jar.md5
Source241: common-3.0.0.pom.sha1
Source242: common-3.0.0.pom.md5
Source243: common-3.0.0-sources.jar.sha1
Source244: common-3.0.0-sources.jar.md5
Source245: common-3.0.0-sources.jar
Source246: common-3.0.0.jar.md5
Source247: common-3.0.0.jar
Source248: common-3.0.0.pom
Source249: common-3.0.0-modules.zip.md5
Source250: common-3.0.0.jar.sha1
Source251: common-3.0.0-modules.zip
Source252: common-3.0.0-tests.jar.sha1
Source253: maven-metadata.xml.sha1
Source254: maven-metadata.xml
Source255: maven-metadata.xml.md5
Source256: compat-3.0.0-sources.jar
Source257: compat-3.0.0.jar
Source258: compat-3.0.0-modules.zip
Source259: compat-3.0.0-tests.jar.sha1
Source260: compat-3.0.0-tests.jar
Source261: compat-3.0.0-sources.jar.md5
Source262: compat-3.0.0-modules.zip.sha1
Source263: compat-3.0.0.pom.sha1
Source264: compat-3.0.0-sources.jar.sha1
Source265: compat-3.0.0.pom.md5
Source266: compat-3.0.0.jar.md5
Source267: compat-3.0.0-tests.jar.md5
Source268: compat-3.0.0.jar.sha1
Source269: compat-3.0.0.pom
Source270: compat-3.0.0-modules.zip.md5
Source271: maven-metadata.xml.sha1
Source272: maven-metadata.xml
Source273: maven-metadata.xml.md5
Source274: tools-3.0.0-modules.zip.sha1
Source275: tools-3.0.0.pom
Source276: tools-3.0.0-tests.jar.md5
Source277: tools-3.0.0.jar.sha1
Source278: tools-3.0.0-tests.jar
Source279: tools-3.0.0-tests.jar.sha1
Source280: tools-3.0.0.pom.md5
Source281: tools-3.0.0.pom.sha1
Source282: tools-3.0.0.jar
Source283: tools-3.0.0-modules.zip.md5
Source284: tools-3.0.0-modules.zip
Source285: tools-3.0.0.jar.md5
Source286: maven-metadata.xml.sha1
Source287: maven-metadata.xml
Source288: maven-metadata.xml.md5
Source289: root-war-3.0.0.war
Source290: root-war-3.0.0.pom.md5
Source291: root-war-3.0.0.war.sha1
Source292: root-war-3.0.0.pom.sha1
Source293: root-war-3.0.0.pom
Source294: root-war-3.0.0.war.md5
Source295: maven-metadata.xml.sha1
Source296: maven-metadata.xml
Source297: maven-metadata.xml.md5
Source298: utils-3.0.0-tests.jar
Source299: utils-3.0.0-modules.zip
Source300: utils-3.0.0.pom.md5
Source301: utils-3.0.0-modules.zip.md5
Source302: utils-3.0.0.jar.md5
Source303: utils-3.0.0-tests.jar.md5
Source304: utils-3.0.0.pom.sha1
Source305: utils-3.0.0-tests.jar.sha1
Source306: utils-3.0.0.jar
Source307: utils-3.0.0-modules.zip.sha1
Source308: utils-3.0.0.jar.sha1
Source309: utils-3.0.0.pom
Source310: maven-metadata.xml.sha1
Source311: maven-metadata.xml
Source312: maven-metadata.xml.md5
Source313: frontend-3.0.0.jar.sha1
Source314: frontend-3.0.0.jar
Source315: frontend-3.0.0.pom.md5
Source316: frontend-3.0.0.pom.sha1
Source317: frontend-3.0.0-tests.jar
Source318: frontend-3.0.0-tests.jar.md5
Source319: frontend-3.0.0-tests.jar.sha1
Source320: frontend-3.0.0.pom
Source321: frontend-3.0.0.jar.md5
Source322: maven-metadata.xml.sha1
Source323: maven-metadata.xml
Source324: maven-metadata.xml.md5
Source325: webadmin-3.0.0.pom
Source326: webadmin-3.0.0.war
Source327: webadmin-3.0.0.pom.md5
Source328: webadmin-3.0.0.pom.sha1
Source329: webadmin-3.0.0.war.sha1
Source330: webadmin-3.0.0.war.md5
Source331: maven-metadata.xml.sha1
Source332: maven-metadata.xml
Source333: maven-metadata.xml.md5
Source334: frontend-all-3.0.0.pom
Source335: frontend-all-3.0.0.pom.md5
Source336: frontend-all-3.0.0.pom.sha1
Source337: maven-metadata.xml.sha1
Source338: maven-metadata.xml
Source339: maven-metadata.xml.md5
Source340: uicompat-3.0.0.jar
Source341: uicompat-3.0.0-tests.jar
Source342: uicompat-3.0.0-tests.jar.sha1
Source343: uicompat-3.0.0-tests.jar.md5
Source344: uicompat-3.0.0.pom
Source345: uicompat-3.0.0.jar.sha1
Source346: uicompat-3.0.0.pom.md5
Source347: uicompat-3.0.0.pom.sha1
Source348: uicompat-3.0.0.jar.md5
Source349: maven-metadata.xml.sha1
Source350: maven-metadata.xml
Source351: maven-metadata.xml.md5
Source352: webadmin-modules-3.0.0.pom.sha1
Source353: webadmin-modules-3.0.0.pom
Source354: webadmin-modules-3.0.0.pom.md5
Source355: maven-metadata.xml.sha1
Source356: maven-metadata.xml
Source357: maven-metadata.xml.md5
Source358: userportal-3.0.0.pom.sha1
Source359: userportal-3.0.0.pom
Source360: userportal-3.0.0.war
Source361: userportal-3.0.0.war.md5
Source362: userportal-3.0.0.pom.md5
Source363: userportal-3.0.0.war.sha1
Source364: maven-metadata.xml.sha1
Source365: maven-metadata.xml
Source366: maven-metadata.xml.md5
Source367: gwt-common-3.0.0-tests.jar
Source368: gwt-common-3.0.0.jar.sha1
Source369: gwt-common-3.0.0-tests.jar.sha1
Source370: gwt-common-3.0.0.jar
Source371: gwt-common-3.0.0.pom.md5
Source372: gwt-common-3.0.0.jar.md5
Source373: gwt-common-3.0.0-tests.jar.md5
Source374: gwt-common-3.0.0.pom
Source375: gwt-common-3.0.0.pom.sha1
Source376: maven-metadata.xml.sha1
Source377: maven-metadata.xml
Source378: maven-metadata.xml.md5
Source379: gwt-extension-3.0.0-sources.jar.sha1
Source380: gwt-extension-3.0.0-sources.jar
Source381: gwt-extension-3.0.0-tests.jar.md5
Source382: gwt-extension-3.0.0.pom
Source383: gwt-extension-3.0.0.pom.md5
Source384: gwt-extension-3.0.0-sources.jar.md5
Source385: gwt-extension-3.0.0.jar.sha1
Source386: gwt-extension-3.0.0.jar.md5
Source387: gwt-extension-3.0.0.pom.sha1
Source388: gwt-extension-3.0.0-tests.jar.sha1
Source389: gwt-extension-3.0.0.jar
Source390: gwt-extension-3.0.0-tests.jar
Source391: maven-metadata.xml.sha1
Source392: maven-metadata.xml
Source393: maven-metadata.xml.md5
Source394: webadmin-all-3.0.0.pom.sha1
Source395: webadmin-all-3.0.0.pom
Source396: webadmin-all-3.0.0.pom.md5
Source397: maven-metadata.xml.sha1
Source398: maven-metadata.xml
Source399: maven-metadata.xml.md5
Source400: uicommonweb-3.0.0.jar.md5
Source401: uicommonweb-3.0.0.pom
Source402: uicommonweb-3.0.0-tests.jar.md5
Source403: uicommonweb-3.0.0.jar.sha1
Source404: uicommonweb-3.0.0-tests.jar.sha1
Source405: uicommonweb-3.0.0-sources.jar.md5
Source406: uicommonweb-3.0.0-sources.jar.sha1
Source407: uicommonweb-3.0.0.pom.md5
Source408: uicommonweb-3.0.0-tests.jar
Source409: uicommonweb-3.0.0.pom.sha1
Source410: uicommonweb-3.0.0.jar
Source411: uicommonweb-3.0.0-sources.jar
Source412: maven-metadata.xml.sha1
Source413: maven-metadata.xml
Source414: maven-metadata.xml.md5
Source415: root-3.0.0.pom
Source416: root-3.0.0.pom.sha1
Source417: root-3.0.0.pom.md5
Source418: maven-metadata.xml.sha1
Source419: maven-metadata.xml
Source420: maven-metadata.xml.md5
Source421: ovirt-checkstyle-extension-3.0.0-tests.jar.sha1
Source422: ovirt-checkstyle-extension-3.0.0.pom
Source423: ovirt-checkstyle-extension-3.0.0-tests.jar
Source424: ovirt-checkstyle-extension-3.0.0.jar.sha1
Source425: ovirt-checkstyle-extension-3.0.0-tests.jar.md5
Source426: ovirt-checkstyle-extension-3.0.0.jar.md5
Source427: ovirt-checkstyle-extension-3.0.0.jar
Source428: ovirt-checkstyle-extension-3.0.0.pom.sha1
Source429: ovirt-checkstyle-extension-3.0.0.pom.md5
Source430: maven-metadata.xml.sha1
Source431: maven-metadata.xml
Source432: maven-metadata.xml.md5
Source433: checkstyles-3.0.0.pom.sha1
Source434: checkstyles-3.0.0-tests.jar
Source435: checkstyles-3.0.0.jar
Source436: checkstyles-3.0.0.pom.md5
Source437: checkstyles-3.0.0.jar.sha1
Source438: checkstyles-3.0.0-tests.jar.sha1
Source439: checkstyles-3.0.0.pom
Source440: checkstyles-3.0.0-tests.jar.md5
Source441: checkstyles-3.0.0.jar.md5
Source442: maven-metadata.xml.sha1
Source443: maven-metadata.xml
Source444: maven-metadata.xml.md5
Source445: engine-server-ear-3.0.0.pom
Source446: engine-server-ear-3.0.0.ear.sha1
Source447: engine-server-ear-3.0.0.ear
Source448: engine-server-ear-3.0.0.pom.md5
Source449: engine-server-ear-3.0.0.ear.md5
Source450: engine-server-ear-3.0.0.pom.sha1
Source451: maven-metadata.xml.sha1
Source452: maven-metadata.xml
Source453: maven-metadata.xml.md5
Source454: build-tools-root-3.0.0.pom
Source455: build-tools-root-3.0.0.pom.sha1
Source456: build-tools-root-3.0.0.pom.md5
Source457: maven-metadata.xml.sha1
Source458: maven-metadata.xml
Source459: maven-metadata.xml.md5
Source460: jboss-modules-maven-plugin-1.0-tests.jar.sha1
Source461: jboss-modules-maven-plugin-1.0-tests.jar.md5
Source462: jboss-modules-maven-plugin-1.0.pom.sha1
Source463: jboss-modules-maven-plugin-1.0.pom
Source464: jboss-modules-maven-plugin-1.0-tests.jar
Source465: jboss-modules-maven-plugin-1.0.jar.sha1
Source466: jboss-modules-maven-plugin-1.0.jar.md5
Source467: jboss-modules-maven-plugin-1.0.pom.md5
Source468: jboss-modules-maven-plugin-1.0.jar

BuildArch:	noarch

BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	make
BuildRequires:	python
%if %{ovirt_require_maven}
BuildRequires:	maven
%endif
BuildRequires:	unzip

Requires:	%{name}-backend = %{version}-%{release}
Requires:	%{name}-cli >= 2.1.2.2-1
Requires:	%{name}-dbscripts = %{version}-%{release}
Requires:	%{name}-restapi = %{version}-%{release}
Requires:	%{name}-tools = %{version}-%{release}
%if !0%{?_rhs_build}
Requires:	%{name}-userportal = %{version}-%{release}
%endif
Requires:	%{name}-webadmin-portal = %{version}-%{release}
%if !0%{?_rhs_build}
Requires:	%{name}-websocket-proxy >= %{version}-%{release}
%endif
Requires:	rhevm-dependencies >= 3.4.1-1
Requires:	java
Requires:	java-1.7.0-openjdk >= 1:1.7.0.9-2.3.3.2
Requires:	jpackage-utils
%if !0%{?_rhs_build}
Requires:	rhevm-image-uploader >= 3.3.0
Requires:	rhevm-iso-uploader >= 3.3.0
Requires:	rhevm-log-collector >= 3.3.0
%else
Requires:	rhsc-log-collector >= 2.1
%endif
Requires:	postgresql-server >= 8.4.7
Requires:	ws-commons-util
Requires:	yum-plugin-versionlock
Requires:	nagios-server-addons >= 0.1.10
Requires:	rhsc-monitoring-uiplugin >= 0.1.3

%if 0%{?fedora}
%if %{fedora} >= 19
Requires:	apache-commons-compress
Requires:	apache-commons-configuration
Requires:	apache-commons-jxpath
Requires:	apache-sshd
Requires:	jakarta-commons-httpclient
Requires:	objectweb-asm
Requires:	openstack-java-client >= %{openstack_java_version}
Requires:	openstack-java-glance-client >= %{openstack_java_version}
Requires:	openstack-java-glance-model >= %{openstack_java_version}
Requires:	openstack-java-keystone-client >= %{openstack_java_version}
Requires:	openstack-java-keystone-model >= %{openstack_java_version}
Requires:	openstack-java-quantum-client >= %{openstack_java_version}
Requires:	openstack-java-quantum-model >= %{openstack_java_version}
Requires:	openstack-java-resteasy-connector >= %{openstack_java_version}
Requires:	postgresql-jdbc
Requires:	quartz
Requires:	snmp4j
Requires:	spring-ldap
Requires:	springframework-aop
Requires:	springframework-beans
Requires:	springframework-context
Requires:	springframework-expression
Requires:	springframework-instrument
Requires:	springframework-jdbc
Requires:	springframework-tx
Requires:	xmlrpc-client
%endif
%endif

# We can't require exactly the same version and release of the
# setup package because it needs to be updated independently as part
# of the update process implemented in the engine-upgrade script:
Requires:	%{name}-setup >= %{version}-%{release}

# rhbz#1028966
Conflicts:	java-1.7.0-openjdk = 1:1.7.0.45-2.4.3.3.el6

# We can drop these conflicts when
# we drop Requires: mod_ssl
Conflicts:	freeipa-server
Conflicts:	ipa-server

%if %{ovirt_install_systemd}
BuildRequires:	systemd
%endif

# jboss-eap-6.1.0
Requires:	jbossas-standalone >= 0:7.2.0
Requires:	jbossas-bundles >= 0:7.2.0
Requires:	jbossas-modules-eap >= 0:7.2.0

# misc packages
%if !0%{?_rhs_build}
Requires:	rhev-guest-tools-iso
Requires:	%{name}-cli
Requires:	%{name}-doc >= 3.4.0
Requires:	%{name}-spice-client-x64-cab
Requires:	%{name}-spice-client-x64-msi
Requires:	virtio-win >= 1.6.6-1
Requires:	redhat-support-plugin-rhev >= 3.4.0
%endif
Requires:	%{name}-doc >= 3.0.0
Requires:	redhat-access-plugin-rhsc

%if !0%{?_rhs_build}
%description
Red Hat Enterprise Virtualization is a feature-rich server virtualization management
system that provides advanced capabilities for managing Red Hat
virtualization infrastructure for Servers and Desktops.
%else
%description
Red Hat Storage Console is a feature-rich storage management
system that provides advanced capabilities for managing Red Hat
storage servers.
%endif

%package lib
Summary:	%{ovirt_product_name_short} library
Group:		%{ovirt_product_group}
Requires:	python-daemon

%description lib
%{ovirt_product_name_short} library

%package backend
Summary:	Engine core of %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	httpd
Requires:	java
Requires:	logrotate
Requires:	mailcap
Requires:	mod_ssl
%if !0%{?_rhs_build}
Requires:	novnc
%endif
Requires:	openssl
Requires:	ovirt-host-deploy-java >= 1.2.5
Requires:	python-cheetah
%if !0%{?_rhs_build}
Requires:	spice-html5
%endif
Requires:	rhevm-branding-rhev >= 3.4.0-0.3
%if 0%{?_rhs_build}
Requires:	rhsc-branding-rhs >= 3.0.0
%endif

%if %{ovirt_install_systemd}
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd
%endif

%pre backend
%ovirt_create_user_engine

%post backend
%if %{ovirt_install_systemd}
%systemd_post ovirt-engine.service
%endif
%if %{ovirt_install_systemv}
chkconfig --add ovirt-engine
%endif

%preun backend
%if %{ovirt_install_systemd}
%systemd_preun ovirt-engine.service
%endif

%if %{ovirt_install_systemv}
if [ $1 -eq 0 ]; then
	service ovirt-engine stop > /dev/null 2>&1 || true
	chkconfig --del ovirt-engine
fi
%endif

%postun backend
%if %{ovirt_install_systemd}
%systemd_postun ovirt-engine.service
%endif

%description backend
The backend engine of %{ovirt_product_name_short}

%package restapi
Summary:	RESTful API for %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description restapi
The RESTful API for %{ovirt_product_name_short}

%post restapi
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%postun restapi
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%package setup-base
Summary:	%{ovirt_product_name_short} suite base setup components.
Group:		%{ovirt_product_group}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	bind-utils
Requires:	iproute
Requires:	libxml2-python
Requires:	logrotate
Requires:	otopi >= 1.2.2

%description setup-base
%{ovirt_product_name_short} suite base setup components.


%pre setup-base
%ovirt_create_user_engine
# Remove the .pyc files left behind from previous release
# Only required when upgrading from 2.1.2
find /usr/share/ovirt-engine -type f -name '*.pyc' -exec rm {} \;

%package setup
Summary:	Setup and upgrade scripts for %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name}-setup-plugin-ovirt-engine = %{version}-%{release}
Requires:	rhsc-setup-plugins >= 3.0.3

%description setup
Setup and upgrade scripts for %{ovirt_product_name_short}

%package setup-plugin-ovirt-engine
Summary:	Setup and upgrade specific plugins for %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name}-setup-plugin-ovirt-engine-common = %{version}-%{release}
Requires:	%{name} >= 2.1.2
Conflicts:	%{name} < 2.1.2

%description setup-plugin-ovirt-engine
Setup and upgrade specific plugins for %{ovirt_product_name_short}

%pre setup-plugin-ovirt-engine
%ovirt_create_user_vdsm

%package setup-plugin-ovirt-engine-common
Summary:	Setup and upgrade common plugins for %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name}-setup-base = %{version}-%{release}
Requires:	cracklib-python
Requires:	libselinux-python
Requires:	m2crypto
Requires:	nfs-utils
Requires:	policycoreutils-python
Requires:	python-psycopg2
Requires:	yum

# We can drop these conflicts when
# we drop Requires: mod_ssl
# conflict here so we can avoid upgrade
# of setup at this environment, this
# will produce early error.
Conflicts:	ipa-server
Conflicts:	freeipa-server

%description setup-plugin-ovirt-engine-common
Setup and upgrade common plugins for %{ovirt_product_name_short}
%if !0%{?_rhs_build}
Requires:	redhat-support-plugin-rhev >= 3.3.0-13
%else
Requires:	redhat-access-plugin-rhsc
%endif

%description setup
Setup and upgrade scripts for %{ovirt_product_name_short}

%pre setup
%ovirt_create_user_vdsm
%ovirt_create_user_engine

%package dbscripts
Summary:	Database scripts for %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description dbscripts
Database scripts for %{ovirt_product_name_short}

%if !0%{?_rhs_build}
%package userportal
Summary:	User Portal of %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description userportal
The user portal interface to %{ovirt_product_name_short}
%endif

%package webadmin-portal
Summary:	Web Admin Portal of %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description webadmin-portal
The web administration interface to %{ovirt_product_name_short}

%package tools
Summary:	%{ovirt_product_name_short} Tools
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	java
Requires:	logrotate

%if %{ovirt_install_systemd}
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd
%endif

# Legacy
Obsoletes:	%{name}-config < 3.3.0
Obsoletes:	%{name}-genericapi < 3.3.0
Obsoletes:	%{name}-notification-service < 3.3.0
Obsoletes:	%{name}-tools-common < 3.3.0
Provides:	%{name}-config = %{version}-%{release}
Provides:	%{name}-genericapi = %{version}-%{release}
Provides:	%{name}-notification-service = %{version}-%{release}
Provides:	%{name}-tools-common = %{version}-%{release}

%description tools
%{ovirt_product_name_short} Tools

%pre tools
%ovirt_create_user_engine

%post tools
%if %{ovirt_install_systemd}
%systemd_post ovirt-engine-notifier.service
%endif
%if %{ovirt_install_systemv}
chkconfig --add ovirt-engine-notifier
%endif

%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%postun tools
%if %{ovirt_install_systemd}
%systemd_postun ovirt-engine-notifier.service
%endif
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%preun tools
%if %{ovirt_install_systemd}
%systemd_preun ovirt-engine-notifier.service
%endif

%if %{ovirt_install_systemv}
if [ $1 -eq 0 ]; then
	service ovirt-engine-notifier stop > /dev/null 2>&1 || true
	chkconfig --del ovirt-engine-notifier
fi
%endif

%if !0%{?_rhs_build}
%package websocket-proxy
Summary:	%{ovirt_product_name_short} Websocket Proxy
Group:		%{ovirt_product_group}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	m2crypto
Requires:	python-websockify
Requires:	%{name}-setup-plugin-websocket-proxy >= %{version}-%{release}

%if %{ovirt_install_systemd}
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd
%endif

%description websocket-proxy
%{ovirt_product_name_short} Websocket Proxy

%pre websocket-proxy
%ovirt_create_user_engine

%post websocket-proxy
%if %{ovirt_install_systemd}
%systemd_post ovirt-websocket-proxy.service
%endif
%if %{ovirt_install_systemv}
chkconfig --add ovirt-websocket-proxy
%endif

%postun websocket-proxy
%if %{ovirt_install_systemd}
%systemd_postun ovirt-websocket-proxy.service
%endif

%preun websocket-proxy
%if %{ovirt_install_systemd}
%systemd_preun ovirt-websocket-proxy.service
%endif

%if %{ovirt_install_systemv}
if [ $1 -eq 0 ]; then
	service ovirt-websocket-proxy stop > /dev/null 2>&1 || true
	chkconfig --del ovirt-websocket-proxy
fi
%endif
%endif

%if !0%{?_rhs_build}
%package setup-plugin-websocket-proxy
Summary:	Setup and upgrade specific plugins for websocket-proxy
Requires:	%{name}-setup-base = %{version}-%{release}

%description setup-plugin-websocket-proxy
Setup and upgrade specific plugins for websocket-proxy

%package setup-plugin-allinone
Summary:	All-in-one plugin for %{ovirt_product_name_short}'s setup
Group:		%{ovirt_product_group}
Requires:	%{name}-sdk-python >= 3.4.0.7
Requires:	%{name}-setup-plugin-ovirt-engine = %{version}-%{release}
Requires:	openssh-server
Requires:	ovirt-host-deploy >= 1.2.5

%description setup-plugin-allinone
All-in-one plugin for %{ovirt_product_name_short}'s setup
%endif

%prep
# Collect brew/mead binary artifacts
%setup -q -T -b 0 -n rhs-engine

%build
make %{make_common_opts}

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install DESTDIR="%{buildroot}"

# Compile python files
%{__python} -m compileall -f -q -d / "%{buildroot}"
%{__python} -O -m compileall -f -q -d / "%{buildroot}"

#
# /var creation
#
install -dm 755 "%{buildroot}/%{engine_state}"/{content,setup/answers}
install -dm 755 "%{buildroot}/%{engine_log}"/{host-deploy,setup,notifier,engine-manage-domains,dump}
install -dm 755 "%{buildroot}/%{engine_cache}"
install -dm 755 "%{buildroot}/%{engine_run}/notifier"

#
# Force TLS/SSL for selected applications.
#
%if !0%{?_rhs_build}
wars=("restapi" "legacy_restapi" "userportal" "webadmin")
%else
wars=("restapi" "legacy_restapi" "webadmin")
rm -f %{buildroot}%{engine_etc}/usbfilter.txt
rm -fr %{buildroot}%{engine_ear}/userportal.war
rm -fr %{buildroot}%{engine_etc}/ovirt-websocket-proxy.conf.d
%endif

for war in ${wars[@]}; do
	sed -i \
		's#<transport-guarantee>NONE</transport-guarantee>#<transport-guarantee>CONFIDENTIAL</transport-guarantee>#' \
		"%{buildroot}%{engine_ear}/${war}.war/WEB-INF/web.xml"
done

#
# Move jars to destribution location
#
install -dm 755 "%{buildroot}%{engine_java}"
while read lib_path; do
	java_path="%{engine_java}/$(basename "${lib_path}")"
	if ! [ -e "%{buildroot}/${java_path}" ] && [ -f "%{buildroot}/${lib_path}" ]; then
		cp "%{buildroot}/${lib_path}" "%{buildroot}/${java_path}"
	fi
	rm -f "%{buildroot}/${lib_path}"
	ln -s "${java_path}" "%{buildroot}${lib_path}"
done << __EOF__
%{engine_ear}/bll.jar
%{engine_ear}/docs.war/WEB-INF/lib/branding.jar
%{engine_ear}/legacy_restapi.war/WEB-INF/lib/branding.jar
%{engine_ear}/lib/vdsbroker.jar
%{engine_ear}/restapi.war/WEB-INF/lib/branding.jar
%{engine_ear}/scheduler.jar
%if !0%{?_rhs_build}
%{engine_ear}/userportal.war/WEB-INF/lib/branding.jar
%endif
%{engine_ear}/webadmin.war/WEB-INF/lib/branding.jar
%{engine_ear}/welcome.war/WEB-INF/lib/branding.jar
%{engine_jboss_modules}/org/ovirt/engine/core/authentication/main/authentication.jar
%{engine_jboss_modules}/org/ovirt/engine/core/common/main/common.jar
%{engine_jboss_modules}/org/ovirt/engine/core/compat/main/compat.jar
%{engine_jboss_modules}/org/ovirt/engine/core/dal/main/dal.jar
%{engine_jboss_modules}/org/ovirt/engine/core/searchbackend/main/searchbackend.jar
%{engine_jboss_modules}/org/ovirt/engine/core/tools/main/tools.jar
%{engine_jboss_modules}/org/ovirt/engine/core/utils/main/utils.jar
%{engine_restapi_war}/WEB-INF/lib/interface-common-jaxrs.jar
%{engine_restapi_war}/WEB-INF/lib/restapi-definition.jar
%{engine_restapi_war}/WEB-INF/lib/restapi-jaxrs.jar
%{engine_restapi_war}/WEB-INF/lib/restapi-types.jar
__EOF__

# Needed for compatibility if package is different than the directory structure
%if "%{name}" != "%{engine_name}"
ln -s "%{engine_name}" "%{buildroot}%{engine_java}/../%{name}"
%endif

#
# Register poms
#
%if !%{ovirt_install_poms}
rm -fr "%{buildroot}%{_mavenpomdir}"
%else
for pom in %{buildroot}%{_mavenpomdir}/*.pom; do
	pomdir="$(dirname "${pom}")"
	pom="$(basename "${pom}")"
	jpppom="JPP.${pom}"
	mv "${pomdir}/${pom}" "${pomdir}/${jpppom}"
	artifact_id="$(echo "${pom}" | sed -e 's/^%{name}-//' -e 's/\.pom//')"
	if [ -f "%{buildroot}%{engine_java}/${artifact_id}.jar" ]; then
		%add_maven_depmap "${jpppom}" "%{name}/${artifact_id}.jar"
	else
		%add_maven_depmap "${jpppom}"
	fi
done
%endif

#
# Link dependencies to system provided
#
while read dst src; do
	[ -z "${dst}" ] && continue
	[ -z "${src}" ] && src="$(basename "${dst}")"

	dst="%{engine_jboss_modules}/${dst}"
	src="%{_javadir}/${src}"
	rm -f "%{buildroot}${dst}"
	ln -s "${src}" "%{buildroot}${dst}"
done << __EOF__
org/apache/ws/commons/main/ws-commons-util.jar
org/ovirt/otopi/main/otopi.jar otopi/otopi.jar
org/ovirt/ovirt-host-deploy/main/ovirt-host-deploy.jar ovirt-host-deploy/ovirt-host-deploy.jar
%if 0%{?fedora}
%if %{fedora} >= 19
com/mchange/c3p0/main/c3p0.jar
com/woorea/openstack/sdk/main/glance-client.jar openstack-java-sdk/glance-client.jar
com/woorea/openstack/sdk/main/glance-model.jar openstack-java-sdk/glance-model.jar
com/woorea/openstack/sdk/main/keystone-client.jar openstack-java-sdk/keystone-client.jar
com/woorea/openstack/sdk/main/keystone-model.jar openstack-java-sdk/keystone-model.jar
com/woorea/openstack/sdk/main/openstack-client.jar openstack-java-sdk/openstack-client.jar
com/woorea/openstack/sdk/main/quantum-client.jar openstack-java-sdk/quantum-client.jar
com/woorea/openstack/sdk/main/quantum-model.jar openstack-java-sdk/quantum-model.jar
com/woorea/openstack/sdk/main/resteasy-connector.jar openstack-java-sdk/resteasy-connector.jar
org/aopalliance/main/aopalliance.jar
org/apache/commons/compress/main/commons-compress.jar
org/apache/commons/configuration/main/commons-configuration.jar commons-configuration.jar
org/apache/commons/httpclient/main/commons-httpclient.jar
org/apache/commons/jxpath/main/commons-jxpath.jar commons-jxpath.jar
org/apache/mina/main/mina-core.jar apache-mina/mina-core.jar
org/apache/xmlrpc/main/xmlrpc-client.jar
org/apache/xmlrpc/main/xmlrpc-common.jar
org/postgresql/main/postgresql.jar postgresql-jdbc.jar
org/quartz/main/quartz.jar
org/snmp4j/main/snmp4j.jar
org/springframework/main/spring-aop.jar springframework/spring-aop.jar
org/springframework/main/spring-asm.jar objectweb-asm/asm.jar
org/springframework/main/spring-beans.jar springframework/spring-beans.jar
org/springframework/main/spring-context.jar springframework/spring-context.jar
org/springframework/main/spring-core.jar springframework/spring-core.jar
org/springframework/main/spring-expression.jar springframework/spring-expression.jar
org/springframework/main/spring-instrument.jar springframework/spring-instrument.jar
org/springframework/main/spring-jdbc.jar springframework/spring-jdbc.jar
org/springframework/main/spring-ldap-core.jar spring-ldap/spring-ldap-core.jar
org/springframework/main/spring-tx.jar springframework/spring-tx.jar
org/tukaani/xz/main/xz.jar
%endif
%endif
%if !0%{?_rhs_build}
../engine.ear/userportal.war/WEB-INF/lib/gwt-servlet.jar rhevm-dependencies/%{rhevm_dependencies_slot}/gwt-servlet.jar
%endif
../engine.ear/webadmin.war/WEB-INF/lib/gwt-servlet.jar rhevm-dependencies/%{rhevm_dependencies_slot}/gwt-servlet.jar
com/mchange/c3p0/main/c3p0.jar rhevm-dependencies/%{rhevm_dependencies_slot}/c3p0.jar
com/woorea/openstack/sdk/main/glance-client.jar rhevm-dependencies/%{rhevm_dependencies_slot}/glance-client.jar
com/woorea/openstack/sdk/main/glance-model.jar rhevm-dependencies/%{rhevm_dependencies_slot}/glance-model.jar
com/woorea/openstack/sdk/main/keystone-client.jar rhevm-dependencies/%{rhevm_dependencies_slot}/keystone-client.jar
com/woorea/openstack/sdk/main/keystone-model.jar rhevm-dependencies/%{rhevm_dependencies_slot}/keystone-model.jar
com/woorea/openstack/sdk/main/openstack-client.jar rhevm-dependencies/%{rhevm_dependencies_slot}/openstack-client.jar
com/woorea/openstack/sdk/main/quantum-client.jar rhevm-dependencies/%{rhevm_dependencies_slot}/quantum-client.jar
com/woorea/openstack/sdk/main/quantum-model.jar rhevm-dependencies/%{rhevm_dependencies_slot}/quantum-model.jar
com/woorea/openstack/sdk/main/resteasy-connector.jar rhevm-dependencies/%{rhevm_dependencies_slot}/resteasy-connector.jar
org/aopalliance/main/aopalliance.jar rhevm-dependencies/%{rhevm_dependencies_slot}/aopalliance.jar
org/apache/commons/compress/main/commons-compress.jar rhevm-dependencies/%{rhevm_dependencies_slot}/commons-compress.jar
org/apache/commons/configuration/main/commons-configuration.jar rhevm-dependencies/%{rhevm_dependencies_slot}/commons-configuration.jar
org/apache/commons/httpclient/main/commons-httpclient.jar rhevm-dependencies/%{rhevm_dependencies_slot}/commons-httpclient.jar
org/apache/commons/jxpath/main/commons-jxpath.jar rhevm-dependencies/%{rhevm_dependencies_slot}/commons-jxpath.jar
org/apache/mina/main/mina-core.jar rhevm-dependencies/%{rhevm_dependencies_slot}/mina-core.jar
org/apache/sshd/main/sshd-core.jar rhevm-dependencies/%{rhevm_dependencies_slot}/sshd-core.jar
org/apache/xmlrpc/main/xmlrpc-client.jar rhevm-dependencies/%{rhevm_dependencies_slot}/xmlrpc-client.jar
org/apache/xmlrpc/main/xmlrpc-common.jar rhevm-dependencies/%{rhevm_dependencies_slot}/xmlrpc-common.jar
org/postgresql/main/postgresql.jar rhevm-dependencies/%{rhevm_dependencies_slot}/postgresql-jdbc.jar
org/quartz/main/quartz.jar rhevm-dependencies/%{rhevm_dependencies_slot}/quartz.jar
org/snmp4j/main/snmp4j.jar rhevm-dependencies/%{rhevm_dependencies_slot}/snmp4j.jar
org/springframework/main/spring-aop.jar rhevm-dependencies/%{rhevm_dependencies_slot}/spring-aop.jar
org/springframework/main/spring-asm.jar rhevm-dependencies/%{rhevm_dependencies_slot}/spring-asm.jar
org/springframework/main/spring-beans.jar rhevm-dependencies/%{rhevm_dependencies_slot}/spring-beans.jar
org/springframework/main/spring-context.jar rhevm-dependencies/%{rhevm_dependencies_slot}/spring-context.jar
org/springframework/main/spring-core.jar rhevm-dependencies/%{rhevm_dependencies_slot}/spring-core.jar
org/springframework/main/spring-expression.jar rhevm-dependencies/%{rhevm_dependencies_slot}/spring-expression.jar
org/springframework/main/spring-instrument.jar rhevm-dependencies/%{rhevm_dependencies_slot}/spring-instrument.jar
org/springframework/main/spring-jdbc.jar rhevm-dependencies/%{rhevm_dependencies_slot}/spring-jdbc.jar
org/springframework/main/spring-ldap-core.jar rhevm-dependencies/%{rhevm_dependencies_slot}/spring-ldap-core.jar
org/springframework/main/spring-tx.jar rhevm-dependencies/%{rhevm_dependencies_slot}/spring-tx.jar
org/tukaani/xz/main/xz.jar rhevm-dependencies/%{rhevm_dependencies_slot}/xz.jar
__EOF__

#
# Register services
#
%if !0%{?_rhs_build}
servicelist=(ovirt-engine ovirt-engine-notifier ovirt-websocket-proxy)
%else
servicelist=(ovirt-engine ovirt-engine-notifier)
rm -fr %{buildroot}%{engine_data}/services/ovirt-websocket-proxy
%endif

%if %{ovirt_install_systemd}
install -dm 755 "%{buildroot}%{_unitdir}"
for service in ${servicelist[@]}; do
	cp "%{buildroot}%{engine_data}/services/${service}/${service}.systemd" "%{buildroot}%{_unitdir}/${service}.service"
done
%endif

%if %{ovirt_install_systemv}
install -dm 755 "%{buildroot}%{_initddir}"
for service in ${servicelist[@]}; do
	cp "%{buildroot}%{engine_data}/services/${service}/${service}.sysv" "%{buildroot}%{_initddir}/${service}"
done
%endif

#
# Package customization
#
install -d "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging.conf" << __EOF__
[environment:default]
OVESETUP_APACHE/configureRootRedirectionDefault=bool:True
OVESETUP_CONFIG/jbossHome=str:/usr/share/jbossas
OVESETUP_CONFIG/validFirewallManagers=str:iptables
OVESETUP_RPMDISTRO/enginePackages=str:rhsc
OVESETUP_RPMDISTRO/engineSetupPackages=str:rhsc-setup
OVESETUP_RPMDISTRO/upgradeYumGroup=str:rhsc30
__EOF__
%if !0%{?_rhs_build}
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging-aio.conf" << __EOF__
[environment:default]
OVESETUP_AIO/enable=bool:True
__EOF__
install -d "%{buildroot}%{_sysconfdir}/ovirt-host-deploy.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-host-deploy.conf.d/10-packaging-aio.conf" << __EOF__
[environment:default]
VDSM/disableNetworkManager=bool:False
__EOF__
%else
rm -fr %{buildroot}%{engine_data}/firewalld/aio
#fix bz#1040960
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d/20-rhsc-packaging.conf" << __EOF__
[environment:default]
OVESETUP_SYSTEM/configureRedhatSupportPlugin=bool:False
__EOF__
%endif

ln -s /usr/share/spice "%{buildroot}%{engine_data}/files/spice"

#
# bakcward compatibility
# keep ovirt-engine-setup package to pull ovirt-engine-setup-plugin-ovirt-engine
#
touch "%{buildroot}%{engine_data}/setup/ovirt-engine-setup-ghost"

#
# backward compatibly (pre-3.3.0)
# force rpm not to remove config files
# as these used to be %config
# these files are created empty in order to mark
# them as %ghost
#
touch "%{buildroot}%{engine_etc}/engine.conf"
touch "%{buildroot}%{engine_etc}/notifier/notifier.conf"
touch "%{buildroot}%{engine_pki}/cacert.template"
touch "%{buildroot}%{engine_pki}/cert.template"
touch "%{buildroot}%{engine_pki}/database.txt"
touch "%{buildroot}%{engine_pki}/serial.txt"
install -d "%{buildroot}%{engine_etc}/sysprep"
for f in 2k12x64 2k3 2k8 2k8x86 2k8x64 w7 w7x64 w8 w8x64 xp; do
	touch "%{buildroot}%{engine_etc}/sysprep/sysprep.${f}"
done
install -d "%{buildroot}%{_sysconfdir}/firewalld/services"
touch "%{buildroot}%{_sysconfdir}/firewalld/services/ovirt.xml"

#
# unsign ear
# see rhbz#1019637
# copied from redhat-rpm-config::brp-jboss-sign-jars::unsign_jarfile
#
rm -f "%{buildroot}%{engine_ear}/META-INF"/*.{DSA,RSA,SF}
perl -i -pe 'BEGIN{undef $/;} s/Name: [^\n]+\n( [^\n]+\n)*([^\s]+-Digest: [^\n]+\n(\s)?)+(Magic: [^\n]+\n)?\n//mgs' "%{buildroot}%{engine_ear}/META-INF/MANIFEST.MF"
perl -i -pe 's/^SHA1-Digest: [^\n]+\n//g' "%{buildroot}%{engine_ear}/META-INF/MANIFEST.MF"

#
# Branding
#
# this cannot be at rhevm-branding-rhev as
# required for %{name}-setup for example and because
# of versionlock we will have conflicts with previous
ln -sf ovirt-engine "%{buildroot}%{_sysconfdir}/%{name}"
for f in setup upgrade check-update cleanup config manage-domains; do
	ln -sf "engine-${f}" "%{buildroot}%{_bindir}/%{name}-${f}"
done
for n in setup config manage-domains; do
	echo ".so man8/engine-${n}.8" > "%{buildroot}%{_mandir}/man8/%{name}-${n}.8"
	chmod 0644 "%{buildroot}%{_mandir}/man8/%{name}-${n}.8"
done

# fix bz#1017653
%if 0%{?_rhs_build}
ln -fs engine-upgrade-check %{buildroot}%{_bindir}/%{name}-upgrade-check
%endif

%preun
if [ "$1" -eq 0 ]; then
	#
	# backup pki dir into the backup dir with current date
	#
	if [ -d "%{engine_pki}" ]; then
		dest="%{engine_pki}/../%{engine_name}-backups/%{engine_name}-$(date +"%%Y%%m%%d%%H%%M%%S")"
		mkdir -p "${dest}"
		cp -pR "%{engine_pki}" "${dest}"
	fi
fi

%post
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%postun
if [ "$1" -eq 0 ]; then
	rm -rf "%{engine_cache}"
	rm -rf "%{engine_pki}"

	if [ -f "%{_sysconfdir}/yum/pluginconf.d/versionlock.list" ]; then
		sed -i '/%{name}/d' "%{_sysconfdir}/yum/pluginconf.d/versionlock.list"
	fi
fi
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%pre
%ovirt_create_user_engine

%files

%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_cache}
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_log}
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_log}/dump
%dir %{engine_data}
%dir %{engine_data}/bin
%dir %{engine_data}/branding
%dir %{engine_data}/conf
%dir %{engine_data}/engine.ear
%dir %{engine_data}/services
%dir %{engine_etc}
%dir %{engine_etc}/branding
%dir %{engine_java}
%doc LICENSE
%ghost %config(noreplace) %{engine_etc}/engine.conf
%{engine_data}/branding/ovirt.brand/
%{engine_etc}/branding/00-ovirt.brand
%{engine_etc}/engine.conf.d/
%{engine_java}/authentication.jar
%{engine_java}/branding.jar
%{engine_java}/common.jar
%{engine_java}/compat.jar
%{engine_java}/utils.jar

#
# ATTENTION:
# Needed for compatibility if package is different
# than the directory structure
#
%if "%{name}" != "%{engine_name}"
%{_javadir}/%{name}
%endif

%if %{ovirt_install_poms}
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP.%{name}-root.pom
%{_mavenpomdir}/JPP.%{name}-common.pom
%{_mavenpomdir}/JPP.%{name}-compat.pom
%{_mavenpomdir}/JPP.%{name}-utils.pom
%endif

# Branding
%{_sysconfdir}/%{name}

%files lib
%{engine_data}/bin/java-home
%{python_sitelib}/ovirt_engine/

%files backend

%attr(-, %{engine_user}, %{engine_group}) %{engine_log}/host-deploy
%attr(-, %{engine_user}, %{engine_group}) %{engine_state}/content
%config %{_sysconfdir}/logrotate.d/ovirt-engine
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_state}
%dir %{engine_data}/bin
%dir %{engine_data}/ui-plugins
%dir %{engine_ear}
%{engine_data}/conf/osinfo-defaults.properties
%{engine_data}/conf/sysprep/
%{engine_data}/files/
%{engine_doc}/AuditLogMessages.properties
%{engine_ear}/META-INF
%{engine_ear}/bll.jar
%{engine_ear}/docs.war/
%{engine_ear}/lib
%{engine_ear}/root.war/
%{engine_ear}/scheduler.jar
%{engine_ear}/services.war/
%{engine_ear}/welcome.war/
%{engine_etc}/osinfo.conf.d/
%{engine_java}/bll.jar
%{engine_java}/dal.jar
%{engine_java}/scheduler.jar
%{engine_java}/searchbackend.jar
%{engine_java}/vdsbroker.jar
%{engine_jboss_modules}/

%{engine_data}/services/ovirt-engine
%if %{ovirt_install_systemd}
%{_unitdir}/ovirt-engine.service
%endif
%if %{ovirt_install_systemv}
%{_initddir}/ovirt-engine
%endif

%if %{ovirt_install_poms}
%{_mavenpomdir}/JPP.%{name}-backend.pom
%{_mavenpomdir}/JPP.%{name}-manager.pom
%{_mavenpomdir}/JPP.%{name}-manager-modules.pom
%{_mavenpomdir}/JPP.%{name}-tools.pom
%{_mavenpomdir}/JPP.%{name}-bll.pom
%{_mavenpomdir}/JPP.%{name}-dal.pom
%{_mavenpomdir}/JPP.%{name}-scheduler.pom
%{_mavenpomdir}/JPP.%{name}-searchbackend.pom
%{_mavenpomdir}/JPP.%{name}-vdsbroker.pom
%endif

#
# PKI
#
# Most directories are owned by the engine user because
# it needs to create files inside
#
%config(noreplace) %{engine_pki}/cacert.template.in
%config(noreplace) %{engine_pki}/cert.template.in
%config(noreplace) %{engine_pki}/openssl.conf
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}/certs
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}/private
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}/requests
%dir %{engine_pki}/keys
%{engine_data}/bin/pki-common.sh
%{engine_data}/bin/pki-create-ca.sh
%{engine_data}/bin/pki-enroll-pkcs12.sh
%{engine_data}/bin/pki-enroll-request.sh
%{engine_data}/bin/pki-pkcs12-extract.sh

# backward compatibly (pre-3.3.0)
# force rpm not to remove pki files
# as these used to be %config
%ghost %config(noreplace) %{engine_pki}/cacert.template
%ghost %config(noreplace) %{engine_pki}/cert.template
%ghost %config(noreplace) %{engine_pki}/database.txt
%ghost %config(noreplace) %{engine_pki}/serial.txt

%files setup-base

%config %{_sysconfdir}/logrotate.d/ovirt-engine-setup
%dir %{engine_data}/firewalld
%dir %{engine_data}/setup
%dir %{engine_data}/setup/bin/
%dir %{engine_data}/setup/ovirt_engine_setup
%dir %{engine_data}/setup/plugins
%dir %{engine_data}/setup/plugins/ovirt-engine-common
%dir %{engine_data}/setup/plugins/ovirt-engine-remove
%dir %{engine_data}/setup/plugins/ovirt-engine-setup
%dir %{engine_log}/setup
%{_bindir}/engine-cleanup
%{_bindir}/engine-setup
# fix bz#1017653
%if 0%{?_rhs_build}
%{_bindir}/%{name}-upgrade-check
%endif
%{_mandir}/man8/engine-cleanup.*
%{_mandir}/man8/engine-setup.*
%{engine_data}/bin/ovirt-engine-log-setup-event.sh
%{engine_data}/conf/iptables.default.in
%{engine_data}/setup/bin/ovirt-engine-remove
%{engine_data}/setup/bin/ovirt-engine-setup
%{engine_data}/setup/bin/ovirt-engine-setup.env
%{engine_data}/setup/ovirt_engine_setup/
%{engine_data}/setup/plugins/*/base/
%{engine_state}/backups/
%{engine_state}/setup/

%files setup

# package cannot be empty
%ghost %{engine_data}/setup/ovirt-engine-setup-ghost

# Branding
%{_bindir}/%{name}-setup
%{_bindir}/%{name}-upgrade
%{_bindir}/%{name}-check-update
%{_bindir}/%{name}-cleanup
%{_mandir}/man8/%{name}-setup.*

%files setup-plugin-ovirt-engine

%config %{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging.conf
%if 0%{?_rhs_build}
%config %{_sysconfdir}/ovirt-engine-setup.conf.d/20-rhsc-packaging.conf
%endif
%{_bindir}/engine-upgrade-check
%{engine_data}/conf/ovirt-engine-proxy.conf.v2.in
%{engine_data}/conf/ovirt-engine-root-redirect.conf.in
%{engine_data}/firewalld/ovirt-engine/
%{engine_data}/setup/bin/ovirt-engine-rename
%{engine_data}/setup/bin/ovirt-engine-upgrade-check
%{engine_data}/setup/dbutils/
%{engine_data}/setup/plugins/*/ovirt-engine/
%{engine_data}/setup/plugins/ovirt-engine-rename/

# backward compatibility (pre-3.4)
%ghost %config(noreplace) %{engine_etc}/sysprep/
%ghost %config(noreplace) %{_sysconfdir}/firewalld/services/ovirt.xml

%files setup-plugin-ovirt-engine-common

%{engine_data}/setup/plugins/*/ovirt-engine-common/


%{engine_data}/firewalld/websocket-proxy/
%{engine_data}/setup/plugins/*/websocket_proxy/

%if !0%{?_rhs_build}
%files setup-plugin-websocket-proxy
%files setup-plugin-allinone

%config %{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging-aio.conf
%config %{_sysconfdir}/ovirt-host-deploy.conf.d/10-packaging-aio.conf
%{engine_data}/firewalld/aio/
%endif

%files dbscripts

%{engine_data}/dbscripts/

%files restapi

%{engine_java}/interface-common-jaxrs.jar
%{engine_java}/restapi-definition.jar
%{engine_java}/restapi-jaxrs.jar
%{engine_java}/restapi-types.jar
%{engine_restapi_war}/
%{engine_legacy_restapi_war}/

%if %{ovirt_install_poms}
%{_mavenpomdir}/JPP.%{name}-interface-common-jaxrs.pom
%{_mavenpomdir}/JPP.%{name}-restapi-definition.pom
%{_mavenpomdir}/JPP.%{name}-restapi-jaxrs.pom
%{_mavenpomdir}/JPP.%{name}-restapi-parent.pom
%{_mavenpomdir}/JPP.%{name}-restapi-types.pom
%endif

%if !0%{?_rhs_build}
%files userportal

%config %{engine_etc}/usbfilter.txt
%{engine_ear}/userportal.war
%endif

%files webadmin-portal

%{engine_ear}/webadmin.war

%if !0%{?_rhs_build}
%files websocket-proxy

%{engine_data}/services/ovirt-websocket-proxy
%{engine_etc}/ovirt-websocket-proxy.conf.d/

%if %{ovirt_install_systemd}
%{_unitdir}/ovirt-websocket-proxy.service
%endif
%if %{ovirt_install_systemv}
%{_initddir}/ovirt-websocket-proxy
%endif
%endif

%files tools

%config %{_sysconfdir}/logrotate.d/ovirt-engine-notifier
%config %{engine_etc}/notifier/log4j.xml
%config(noreplace) %{engine_etc}/engine-config/engine-config.conf
%config(noreplace) %{engine_etc}/engine-manage-domains/engine-manage-domains.conf
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_log}/notifier
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_run}/notifier
%dir %{engine_etc}/engine-config
%dir %{engine_etc}/engine-manage-domains
%dir %{engine_etc}/notifier
%ghost %config(noreplace) %{engine_etc}/notifier/notifier.conf
%{_bindir}/engine-backup
%{_bindir}/engine-config
%{_bindir}/engine-manage-domains
%{_mandir}/man8/engine-backup.*
%{_mandir}/man8/engine-config.*
%{_mandir}/man8/engine-manage-domains.*
%{engine_data}/bin/engine-backup.sh
%{engine_data}/bin/engine-config.sh
%{engine_data}/bin/engine-manage-domains.sh
%{engine_data}/bin/engine-prolog.sh
%{engine_data}/conf/jaas.conf
%{engine_data}/services/ovirt-engine-notifier
%{engine_etc}/engine-config/engine-config.*properties
%{engine_etc}/notifier/notifier.conf.d/
%{engine_java}/tools.jar

%if %{ovirt_install_poms}
%{_mavenpomdir}/JPP.%{name}-tools.pom
%endif

%if %{ovirt_install_systemd}
%{_unitdir}/ovirt-engine-notifier.service
%endif
%if %{ovirt_install_systemv}
%{_initddir}/ovirt-engine-notifier
%endif

# Branding
%{_bindir}/%{name}-config
%{_bindir}/%{name}-manage-domains
%{_mandir}/man8/%{name}-config.*
%{_mandir}/man8/%{name}-manage-domains.*

%changelog
* Fri Jan 23 2015 Shubhendu Ram Tripathi <shtripat@redhat.com> - 3.0.3-1.21
- Fixed bz#1154536

* Tue Nov 25 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.3-2
- Fixed bz#1166083 1166021

* Tue Nov 18 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.3-1
- Fixed bz#1113490

* Mon Nov 03 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.2-3
- Fixed bz#1152877

* Thu Oct 16 2014 Shubhendu Tripathi <shtripat@redhat.com> - 3.0.2-2
- Modified the required package dependencies

* Wed Oct 15 2014 Shubhendu Tripathi <shtripat@redhat.com> - 3.0.2-1
- Fixed bz#1104128

* Wed Sep 24 2014 Sahina Bose <sabose@redhat.com> - 3.0.2-build1
- Rebased with rhevm-3.4.2_av11.2

* Mon Sep 01 2014 Shubhendu Ram Tripathi <shtripat@redhat.com> - 3.0.0-0.14
- Fixed bz#1135083

* Wed Aug 19 2014 David Caro <dcaro@redhat.com> - 3.4.2
- BZ#1122446 BZ#1126221 BZ#1127007 BZ#1125373 BZ#1126428
  BZ#1120088 BZ#1110126 BZ#1126797 BZ#1119178 BZ#1114041
  BZ#1131294 BZ#1131295 BZ#1130753 BZ#1125262 BZ#958811
  BZ#1114877 BZ#1125802 BZ#1132417

* Mon Aug 18 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 3.0.0-0.13
- Fixed bz#1127743

* Sun Jul 06 2014 Ohad Basan <obasan@redhat.com> - 3.4.1
- BZ#1073070 BZ#1075500 BZ#1098962 BZ#1099504 BZ#1099505 BZ#1099506
  BZ#1099507 BZ#1101447 BZ#1102687 BZ#1102783 BZ#1102784 BZ#1102785
  BZ#1103679 BZ#1105080 BZ#1105622 BZ#1105849 BZ#1108174 BZ#1108673
  BZ#1108674 BZ#1108675 BZ#1108676 BZ#1110126 BZ#1110307 BZ#1110662
  BZ#1110687 BZ#1111084 BZ#1114266 BZ#1114587 BZ#1108676 BZ#1102785
  BZ#1113075 BZ#1073070 BZ#1114618 BZ#1075500 BZ#1105622

* Tue Jun 24 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 3.0.0-0.12
- build with el6rhs dist

* Wed Jun 18 2014 Kiril Nesenko <knesenko@redhat.com> - 3.4.0-1
- BZ#1107475

* Mon Jun 16 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 3.0.0-0.11
- Bumped up nagios-server-addons dependency version to 0.1.4

* Thu Jun 12 2014 Sahina Bose <sabose@redhat.com> - 3.0.0-0.10
- Bumped up nagios-server-addons dependency version to 0.1.3

* Thu Jun 12 2014 Sahina Bose <sabose@redhat.com> - 3.0.0-0.9
- Removed "master" from rpm names

* Mon Jun 09 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 3.0.0-0.8.master
- Fixed BZs 1097082

* Thu May 29 2014 Sahina Bose <sabose@redhat.com> - 3.0.0-0.7.master
- Fixed BZs 1065227,1061725,1096665,1096646,1044598

* Fri May 23 2014 Sahina Bose <sabose@redhat.com> - 3.0.0-0.6.master
- Rebased with RHEVM 3.4.0_av9.2 

* Tue May 20 2014 Kiril Nesenko <knesenko@redhat.com> - 3.4.0
- 3.4.0 - GA

* Mon May 5 2014 Sahina Bose <sabose@redhat.com> - 3.0.0-0.2.master
- Rebased with RHEVM 3.4.0_av8, added downstream dependency on 
  nagios-server-addons and bumped dependency to ovirt-host-deploy-1.2.1

* Tue Apr 29 2014 Sahina Bose <sabose@redhat.com> - 3.0.0-0.1.master
- Rebased with RHEVM 3.4.0, changed version numbers and rebranded RHSC
  with downstream patches for gluster only mode. Removed userportal,
